D4Science Infrastructure - Task #5501

Move data from development to production GeoNetwork
Oct 11, 2016 07:50 PM - Pasquale Pagano

Status: Closed Start date: Oct 11, 2016
Priority: Normal Due date: Oct 13, 2016
Assignee: Fabio Sinibaldi % Done: 100%
Category: Data Management Estimated time: 0.00 hour
Target version: Support to BlueBridge MPA use case

Infrastructure: Production

Description

Move all the data he published in dev GN to production GN. Resources includes 27 feature types/layers in geoserver (all under
'W_mpa' workspace) and its associated styles.

Please clarify if the data can be moved without assigning them to a specific VRE.

Related issues:
Related to D4Science Infrastructure - Task #5338: Allow XHR requests on D4sci... Closed Oct 03, 2016

History

#1 - Oct 11, 2016 07:50 PM - Pasquale Pagano
- Related to Task #5338: Allow XHR requests on D4science Geoserver WFS added

#2 - Oct 11,2016 08:35 PM - Emmanuel Blondel
Many thanks Lino for pushing on that, or for your support to move forward on this Use case. Just to clarify then:
e |t's not about Geonetwork, but Geoserver. Geonetwork is for metadata and it's out of scope here.
¢ Data should be accessed publicly through Geoserver as WMS/WFS,so no assignement to a specific VRE, since we will make our app tests
through next.d4science.org. Later this could be restricted to a target VRE if GRID-ARENDAL requests it.
Thanks again
#3 - Oct 12,2016 09:01 AM - Leonardo Candela

@emmanuel.blondel@fao.org a couple of clarifications from my side:

e |t should not be allowed to have datasets in GeoServer only, they (actually their metadata) should be indexed by a GN too. This is a policy of our
infrastructure since we manage an entire SDI. Thus the move of datasets to the infrastructure implies that they are discoverable by GN too;

¢ | kindly ask @fabio.sinibaldi@isti.cnr.it to publish the datasets in a "proper scope", it seems they are expected to be available to everyone;

#4 - Oct 12, 2016 09:44 AM - Emmanuel Blondel

@leonardo.candela@isti.cnr.it despite the fact that metadata are not mandatory for MPA analysis, it's always nice to see that our past
recommentations (use metadata Catalogue Service for the Web, e.g. Geonetwork) were listen, even better if it is generalized as a policy to all
datasets :-) Create metadata as it is needed for the infrastructure, i have no problem with that, at contrary. | suppose then these metadata will be
editable by key people (GRID-ARENDAL). Looking forward to have the data featuretypes, layers and styles in Geoserver for the MPA analysis.

Thanks again

#5 - Oct 13, 2016 06:53 PM - Fabio Sinibaldi

- Status changed from New to In Progress

- % Done changed from 0 to 80

Data successfully copied to geoserver.d4science.org. We still need to copy styles as well and set the defaults for layers (I'll notify you on this ticket).
About metadata, I'd suggest you to generate them with our java library org.gcube.spatial.data.geonetwork because we don't have editing features

available yet, and we'd miss a lot of needed information.
See https://wiki.gcube-system.org/gcube/GeoNetwork_library#Metadata_generation_facilities for further reference.

#6 - Oct 17, 2016 05:55 PM - Emmanuel Blondel
https://wiki.gcube-system.org/gcube/GeoNetwork_library#Metadata_generation_facilities

Thanks Fabio, let me know when you can complete the style publication.

For what concerns metadata, it's not the priority at now, as it's not blocking the MPA web-app Ul integration in the portal. (i know you have a wrapper
on top of geonetwork-manager (and propably geotk/apache sis behind for generating the metadata XML as i suggested in i-Marine) for the
publication. Let's see later, but what i'm wondering if a metadata record published programmatically can then be edited in Geonetwork by key users.
But again, let's tackle this later with GRID-ARENDAL )

#7 - Oct 25,2016 11:41 AM - Emmanuel Blondel

Hi Fabio, in addition to the style publication (for geomorphic feature layers), could you please rename the layer "W_mpa:ecoregions" to
"W_mpa:ecoregion” (without 's')? Let us know

Note that with getting the global dataset of MPA (so far limited to Caribbean region) but also with the new EEZ dataset release, we will probably need
to update EEZ related dataset (source & intersect) later and add new layers of interest (that will be subject of another ticket btw). Given the fact that
HTTPS is now enabled on dev geoserver, Levi will work on updating his datasets there and the app will be tested vs. dev geoserver resource

Thanks

#8 - Oct 25, 2016 05:58 PM - Fabio Sinibaldi
- Status changed from In Progress to Feedback

- % Done changed from 80 to 100

Styles copied and associated to respective layers.
"W_mpa:ecoregions" renamed to "W_mpa:ecoregion".
Please check everything and let us know if something's wrong.

#9 - Nov 15, 2016 03:11 PM - Fabio Sinibaldi
- Status changed from Feedback to Closed

I'm closing this assuming no feedback = no issues. Please re-open it if needed.
